@import "@/styles/variables";

.main {
    grid-column: 1/-1;
    display: grid;
    max-width: $max-inner-width;
    width: 100%;
    margin: 0 auto;
    padding: 0 0 64px 0;
}

.instruction-container {
    grid-column: 1 / -1;
    margin: 0 auto;
    height: 100%;
    padding: 51px 16px;

    @include notebook {
        grid-column: 2 / 10;
    }

    span {
        font-size: 14px;
        font-weight: 400;
        line-height: 18px;

        @include smallscreen {
            font-size: 16px;
            line-height: 28px;
        }
    }

    .instruction-lkod {
        line-height: 28px;
        display: flex;
        flex-direction: column;
        gap: 24px;

        &__image-frame-small {
            width: 341px;
            height: 135px;
            display: flex;
            justify-content: center;
            align-items: center;

            img {
                width: 100%;
                height: 100%;
                object-fit: contain;
            }

            @include tablet {
                width: 550px;
                height: 150px;
            }

            @include smallscreen {
                width: 760px;
                height: 180px;
            }

            @include notebook {
                width: 903px;
                height: 295px;
            }
        }

        &__image-frame-large {
            width: 341px;
            height: 163px;
            display: flex;
            justify-content: center;
            align-items: center;
            img {
                width: 100%;
                height: 100%;
            }

            @include tablet {
                width: 550px;
                height: 200px;
                display: flex;
                justify-content: center;
                align-items: center;
            }

            @include smallscreen {
                width: 760px;
                height: 250px;
                display: flex;
                justify-content: center;
                align-items: center;
            }

            @include notebook {
                width: 903px;
                height: 445px;
            }
        }

        &__text-content {
            display: flex;
            flex-direction: column;
            gap: 16px;
        }

        &__ul {
            list-style: disc;
            padding-left: 1rem;
            padding-bottom: 1rem;

            li {
                padding: 0.5rem;
                font-size: 16px;
            }
        }
    }

    button {
        span {
            text-transform: none;
        }
    }

    &__image-block {
        padding: 24px 0;
        display: flex;
        flex-direction: column;
        gap: 1rem;
    }
}

.top-container {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    padding: 16px 16px 0 16px;
}

.image-cover {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.image-contain {
    object-fit: contain;
    width: 100%;
    height: 100%;
}

.icon-button:hover {
    opacity: 0.8;
}

.instruction-container .image-cover {
    object-fit: cover;
}

.instruction-container .image-contain {
    object-fit: contain;
}
